# CALL (PROCEDURE) statement

The CALL (PROCEDURE) statement is used to call procedures. A call to a procedure does not return any value.

#### Syntax

    CALL procedure-Name ( [ expression [, expression]* ] )

#### Example

    CREATE PROCEDURE SALES.TOTAL_REVENUE(IN S_MONTH INTEGER,
        IN S_YEAR INTEGER, OUT TOTAL DECIMAL(10,2))
        PARAMETER STYLE JAVA READS SQL DATA LANGUAGE JAVA EXTERNAL NAME
        'com.acme.sales.calculateRevenueByMonth';
    CALL SALES.TOTAL_REVENUE(?,?,?);

Parent topic: Statements